You are not logged in.

#1 2013-03-26 17:40:39

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

After upgrade (mysql -> mariadb, newer Qt4 depending on mariadb), following steps on Arch Home site, KDE fails to start. It only shows xorg window with information;

Could not start D-Bus. Can you call dbus?

After downgrading to previous Qt and mysql, KDE works as previous.

Last edited by Druedain (2013-03-26 18:55:19)

Offline

#2 2013-03-26 18:32:57

Potomac
Member
Registered: 2011-12-25
Posts: 322

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

I use KDE and I have no problem, even after upgrading to mariadb and newer qt4,

during the upgrade "mysql-> mariadb" did you answer "yes" to the questions about the replacement of the mysql components ?

Last edited by Potomac (2013-03-26 18:33:41)

Offline

#3 2013-03-26 18:54:12

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

Hmmm… A little experimenting and KDE and now it works even with MariaDB, but still with newest Qt4 KDE won't start.

works:

qt4-4.8.4-13

doesn't work:

qt4-4.8.4-16

Offline

#4 2013-03-26 20:18:29

Potomac
Member
Registered: 2011-12-25
Posts: 322

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

do you use systemd ?

or sysvinit ?

with systemd dbus is automaticaly launched, you can check with this command :

systemctl | grep dbus

you will see:

dbus.service                loaded active running   D-Bus System Message Bus
dbus.socket                 loaded active running   D-Bus System Message Bus Socket

something is broken in your installation with the new qt4 packages, maybe your graphical boot manager , you can try to start KDE in a different way, with startx, xinit to see if there is a change

check also if you have the last version of the ICU package ( 51 )

do a "pacman -Syy" with a different mirror server, and then "pacman -Syu" to be sure you have all the last version of the packages

Last edited by Potomac (2013-03-26 20:25:48)

Offline

#5 2013-03-26 21:45:26

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

I'm up to date -> I use systemd.

X works, I have kdm, I can login with Fluxbox, or Fallback.

pacman -Q icu
icu 51.1-1

Offline

#6 2013-03-26 23:37:36

Potomac
Member
Registered: 2011-12-25
Posts: 322

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

under fluxbox can you run some qt applications ?

you can also reinstall KDE :

https://wiki.archlinux.org/index.php/KDE_Packages

but I don't have a clue, check if the same bug exists here :

https://bugs.archlinux.org/

Offline

#7 2013-03-26 23:38:42

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

I'm afraid I'll have to reinstall KDE…

Offline

#8 2013-03-27 10:28:20

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

Reinstallation helped…

Offline

#9 2013-03-30 04:10:26

bhrgunatha
Member
Registered: 2009-12-16
Posts: 70

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

I have exactly the same issue with the same configuration as you have mentioned except I only use kdm/kwin/kde

I changed the MySQl packages to MariaDB - no problem
I'm using kdm and systemd.
All packages are up-to-date.
The upgrade to gt4 (which happened yesterday) prevents Kwin et al from starting correctly.

upgraded qt4 (4.8.4-13 -> 4.8.4-16) -> fails : Could not start D-Bus. Can you call dbus?

Downgrading to qt4.8.4-13 fixes the issue.

Why should the upgrade from qt4.8.4-13 to qt4.8.4-16 cause kdm to not start dbus correctly?
If others are not facing this issue - it must be something about our configuration.
Any idea what may cause this?

When you re-installed KDE did it wipe out your previous configurations.

I have quite extensive customisation and I don't think I can face re-configuring everything.

Last edited by bhrgunatha (2013-03-30 04:11:01)

Offline

#10 2013-03-30 12:31:17

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

bhrgunatha wrote:

Any idea what may cause this?

When you re-installed KDE did it wipe out your previous configurations.

I have quite extensive customisation and I don't think I can face re-configuring everything.

Ad 1. Maybe using beta of KDE 4.10? It caused other problems with my KDE, that reinstalling of packages fixed.

Ad 2. Earlier I've tried only to make new .kde folder (moved .kde to .kde.tmp so KDE created again .kde folder with fresh config) but I didn't change anything. Instead I've moved again .kde to .kde.tmp, removed KDE packages using pacman -Rsc kde-meta (because I'm using meta packages), and all other KDE packages that left (eg. dolphin, konsole). Then installed it again (it was quite easy and fast, because packages was still in /var/cache/pacman/pkg/ so pacman -S kde-meta worked without downloading 1,5G), moved again .kde.tmp to .kde, and now everything works fine.

Ad 3. I've also spend much time configuring my KDE. Luckily everything works without wiping it wink

Last edited by Druedain (2013-03-30 12:31:55)

Offline

#11 2013-03-30 12:34:53

Awebb
Member
Registered: 2010-05-06
Posts: 4,132

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

If the reinstallation helped, then your mirror was not entirely sync and reinstalling KDE brought you the latest package versions of all KDE packages. Or at least this is the most logical conclusion, because pacman does not tend to fail that hard.

Offline

#12 2013-03-30 13:07:07

Druedain
Member
From: Poland
Registered: 2011-12-27
Posts: 50

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

Awebb wrote:

If the reinstallation helped, then your mirror was not entirely sync and reinstalling KDE brought you the latest package versions of all KDE packages. Or at least this is the most logical conclusion, because pacman does not tend to fail that hard.

I don't get it. The same packages (because stored in /var/cache/pacman/pkg, not downloaded again from server) were installed again. So how not entirely synced mirror could cause this?

Offline

#13 2013-03-30 13:31:29

Awebb
Member
Registered: 2010-05-06
Posts: 4,132

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

Oh, then disregard my comment. It's just that usually not much happens when you install KDE besides pacman pushing all those packages to the folders. By the way: When I switched from MySQL to MariaDB, I stopped KDM and worked from the console, because I suspected removing mysql and installing maria would confuse Akonadi.

Offline

#14 2013-04-03 03:44:39

bhrgunatha
Member
Registered: 2009-12-16
Posts: 70

Re: Qt4 (MariaDB ?) upgrade = KDE fails to start (dbus error)

Druedain wrote:
bhrgunatha wrote:

Any idea what may cause this?

When you re-installed KDE did it wipe out your previous configurations.

I have quite extensive customisation and I don't think I can face re-configuring everything.

Ad 1. Maybe using beta of KDE 4.10? It caused other problems with my KDE, that reinstalling of packages fixed.

Ad 2. Earlier I've tried only to make new .kde folder (moved .kde to .kde.tmp so KDE created again .kde folder with fresh config) but I didn't change anything. Instead I've moved again .kde to .kde.tmp, removed KDE packages using pacman -Rsc kde-meta (because I'm using meta packages), and all other KDE packages that left (eg. dolphin, konsole). Then installed it again (it was quite easy and fast, because packages was still in /var/cache/pacman/pkg/ so pacman -S kde-meta worked without downloading 1,5G), moved again .kde.tmp to .kde, and now everything works fine.

Ad 3. I've also spend much time configuring my KDE. Luckily everything works without wiping it wink

Thanks for your reply - it seems like your problem is caused by some wrong version of a library or package somewhere that the re-install has fixed.
Perhaps I have the same problem.
However since 4.10.2 has been released I think I'll probably wait to see if the new version fixes my problem. It's usually pretty quick for the new releases to hit the repos.

Offline

Board footer

Powered by FluxBB